curl -X PUT "https://call.aiployees.com/api/user/leads/123" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"campaign_id": 456,
"phone_number": "+1234567890",
"variables": {
"name": "John Doe",
"company": "Acme Corp"
}
}'
{
"message": "Lead updated successfully"
}
Update an existing lead in your campaigns
curl -X PUT "https://call.aiployees.com/api/user/leads/123" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"campaign_id": 456,
"phone_number": "+1234567890",
"variables": {
"name": "John Doe",
"company": "Acme Corp"
}
}'
{
"message": "Lead updated successfully"
}
created, completed, reached-max-retriescurl -X PUT "https://call.aiployees.com/api/user/leads/123" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"campaign_id": 456,
"phone_number": "+1234567890",
"variables": {
"name": "John Doe",
"company": "Acme Corp"
}
}'
{
"message": "Lead updated successfully"
}
campaign_id, phone_number, status, variablesstatus field has restricted values for data integrity